
use strict;
use warnings;
use Test::More tests => 3;

BEGIN {
    use_ok('Perl::Metrics::Simple')
        || BAIL_OUT('Could not compile Perl::Metrics::Simple');
    use_ok('Perl::Metrics::Simple::Analysis::File')
        || BAIL_OUT('Could not compile Perl::Metrics::Simple::Analysis::File');
}

my $analyzer = Perl::Metrics::Simple->new;

my $text='use strict;';
my $analysis = $analyzer->analyze_files(\$text);
ok($analysis);
